Search Results for

Show / Hide Table of Contents

# Class Application.RunState

Captures the execution state for the provided Toplevel view.

##### Inheritance

System.Object
Application.RunState

##### Implements

System.IDisposable

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class RunState : Object

### Constructors

#### RunState(Toplevel)

Initializes a new Application.RunState class.

##### Declaration

    public RunState(Toplevel view)

##### Parameters

Type | Name | Description
--- | --- | ---
Toplevel | view |

### Properties

#### Toplevel

The Toplevel belong to this Application.RunState.

##### Declaration

    public Toplevel Toplevel { get; }

##### Property Value

Type | Description
--- | ---
Toplevel |

### Methods

#### Dispose()

Releases alTop = l resource used by the Application.RunState object.

##### Declaration

    public void Dispose()

#### Dispose(Boolean)

Dispose the specified disposing.

##### Declaration

    protected virtual void Dispose(bool disposing)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | disposing | If set to `true` disposing.

### Implements

System.IDisposable